require_relative 'lib/DynamicCase/version'

Gem::Specification.new do |spec|
  spec.name          = "DynamicCase"
  spec.version       = DynamicCase::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Grows a Case When statement over time through a case seed.}
  spec.description   = %q{Think of this less like a normal Case When statement, and more of a way of growing a control script for calling different ruby gems.}
  spec.homepage      = "https://github.com/LWFlouisa/dynamic_case"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
